## monotone 0.1.0

=== DESCRIPTION ===
Package: monotone
Type: Package
Title: Performs Monotone Regression
Version: 0.1.0
Authors@R: c(person(given = "Frank", family = "Busing",  
        role = c("aut", "cre"), 
        email = "busing@fsw.leidenuniv.nl"), 
        person("Juan", "Claramunt Gonzalez", 
        role = "aut", 
        email = "j.claramunt.gonzalez@fsw.leidenuniv.nl"))
Author: Frank Busing [aut, cre],
  Juan Claramunt Gonzalez [aut]
Maintainer: Frank Busing <busing@fsw.leidenuniv.nl>
Description: A fast up-and-down-blocks implementation for the pool-adjacent-violators algorithm 
  for simple linear ordered monotone regression, including two spin-off functions
  for unimodal and bivariate monotone regression.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2021-03-08 13:48:36 UTC; jclaramunt
Repository: CRAN
Date/Publication: 2021-03-10 19:40:02 UTC

## monotone 0.1.1

=== DESCRIPTION ===
Package: monotone
Type: Package
Title: Performs Monotone Regression
Version: 0.1.1
Authors@R: c(person(given = "Frank", family = "Busing",  
        role = c("aut", "cre"), 
        email = "busing@fsw.leidenuniv.nl"), 
        person("Juan", "Claramunt Gonzalez", 
        role = "aut", 
        email = "j.claramunt.gonzalez@fsw.leidenuniv.nl"))
Author: Frank Busing [aut, cre],
  Juan Claramunt Gonzalez [aut]
Maintainer: Frank Busing <busing@fsw.leidenuniv.nl>
Description: The monotone package contains a fast up-and-down-blocks implementation for the pool-adjacent-violators algorithm 
  for simple linear ordered monotone regression, including two spin-off functions
  for unimodal and bivariate monotone regression (see <doi:10.18637/jss.v102.c01>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-05-25 08:45:42 UTC; jclaramunt
Repository: CRAN
Date/Publication: 2022-05-25 09:20:02 UTC

## monotone 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: monotone
 Type: Package
 Title: Performs Monotone Regression
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(person(given = "Frank", family = "Busing",  
         role = c("aut", "cre"), 
         email = "busing@fsw.leidenuniv.nl"), 
@@ -18,6 +18,6 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2022-05-25 08:45:42 UTC; jclaramunt
+Packaged: 2022-05-25 12:15:57 UTC; jclaramunt
 Repository: CRAN
-Date/Publication: 2022-05-25 09:20:02 UTC
+Date/Publication: 2022-05-25 14:00:02 UTC

## monotone 1.0

=== debian/changelog ===
monotone (1.0-9) unstable; urgency=low

  * Add patches/08-texinfo-fix.diff. Sanitizes .texi files. Closes: #712340.
  * Add patches/09-ignore-aggressive-gnu-patch.diff to allow a test to
    pass in the face of a newer GNU patch version.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 16 Jul 2013 23:57:44 +0200

monotone (1.0-8) unstable; urgency=low

  * Upload to unstable.
  * Enable patches/07-support-boost-1.53.diff
  * Add myself as an Uploader.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 24 May 2013 17:16:14 +0200

monotone (1.0-7) experimental; urgency=low

  * Team upload.
  * Fix compilation on hurd, back-porting an upstream fix in
    patches/05-hurd-compilation-fix.diff. Closes: #624779.
  * Add Brazilian Portuguese translation by Adriano Rafael Gomes.
    Closes: #693378.
  * Add work-around to skip a test in case we are behind a broken DNS
    gateway. Closes: #671080.
  * Standards-Version: 3.9.4 (no changes required).
  * Drop build dependencies on quilt and patch.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 15 Mar 2013 22:05:37 +0100

monotone (1.0-6) unstable; urgency=low

  * patches/04-botan-1.10-adaption.diff: Backport upstream fix for
    building and running with Botan-1.10.x.
  * Change debian/control to link against Botan 1.10. Closes: #359050.
  * Adjust Build-Depends debhelper to require version >= 9 as well.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 29 Apr 2012 14:19:41 +0200

monotone (1.0-5) unstable; urgency=low

  * Switch to debhelper compatibility level 9. Most importantly, this
    causes dh_auto_* to set the environment variables listed by
    dpkg-buildflags that are no longer set by dpkg-buildpackage. 
  * patches/01-format-security.diff: Backport upstream fix for building 
    with hardened Debian build flags. Closes: #646349. 
  * patches/02-file_handle.diff: Backport upstream fix for name clash
    between monotone's "file_handle" struct and the one defined in
    "fcntl.h" from (e)glibc >=2.14.
  * patches/03-url_escaping.diff: Backport upstream fix for non-escaped URLs
    being passed to monotone in its test suite.  Closes: #668457.

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sat, 28 Apr 2012 15:48:34 +0100

monotone (1.0-4) unstable; urgency=low

  * patches/10-mtn-ignore-syntax-error-test.diff: The version of pcre3
    in unstable (1:8.30-4) treats a regular expression used in one of
    the monotone tests differently from previous versions, causing the
    test to fail. See the patch for more information. Closes: 665448.

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sun, 25 Mar 2012 20:15:06 +0100

monotone (1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #650852
    - Polish (Michał Kułach).  Closes: #662920

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Mar 2012 07:01:02 +0100

monotone (1.0-3) unstable; urgency=low

  [Francis Russell]
  * debian/po/fr.po: minor fix to the French Debconf translation
    (closes: #623226). 
  * debian/NEWS: update version of most recent entry to 1.0-1 to keep
    Lintian happy.
  * debian/watch: update regular expression to avoid including the file
    suffix in the version number reported by uscan. 
  * debian/control: Update Vcs-Browser field to point to Debian
    packaging instead of upstream development and add Vcs-Mtn field
    (closes: #638501).
  * Standards-Version: 3.9.2 (no changes required). 

  [Ludovic Brenta]
  * Tighten build-dependencies to libbotan1.8-dev (>= 1.8.13-4).
    Closes: #635776.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 23 Sep 2011 23:46:49 +0200

monotone (1.0-2) unstable; urgency=low

  * debian/watch: also check for bzip2 compressed monotone releases.
  * debian/rules: disable parallel builds since they have been observed
    to cause make to enter an infinite loop (closes: #623734).

 -- Francis Russell <francis@unchartedbackwaters.co.uk>  Sat, 30 Apr 2011 03:57:31 +0100

monotone (1.0-1) unstable; urgency=low

  [ Richard Levitte ]
  * New upstream release (closes: #622954).
  * New package produced, monotone-extras.
  * debian/patches/00-fail_cleanly_on_unreadable_db.diff,
  * debian/patches/10-sqlite_3.7.3_empty_blob.diff,
  * debian/patches/20-empty-command.diff: removed, merged upstream.
  * debian/monotone-server.postinst: updated because 0.99 has another need
    for database migration.  Changed all occurences of --norc to
    --no-standard-rcfiles.
  * debian/monotone-server.monotone.init: changed all occurences of --norc
    to --no-standard-rcfiles.
  * rules: rewritten to use dh.
  * nofakeroot: added script that runs a command after temporarly disabling
    the effects of fakeroot.  We need this because we build via the binary /
    binary-arch / binary-indep targets, and they are run via fakeroot, which
    is not recommended for certain build targets.
  * monotone-server.monotone.init: Small adaptation, the startup lua
    script changed name from hooks.lua to serverrc.
  * Remove the monotone user and group on purge, only if
    /var/lib/monotone and /var/run/monotone have been successfully
    removed.
  * debian/control: Change the package descriptions not to start with "A".
    (removes lintian warning description-synopsis-starts-with-article)

  [ Francis Russell ]
  * Make monotone-doc suggest monotone instead of require.
  * Update Vcs-Browser field to point to new source management front-end.
  * Install manual page auto-generated during build instead of outdated version.
  * Attempt deletion of /var/run/monotone and /etc/monotone on purge.
  * Add successful removal of /etc/monotone as condition for removal of
    monotone user and group as well.
  * debian/patches/00-db-extension-bash-completion.diff: new, backported
    from upstream to support both "mtn" and "db" file extensions for
    databases.
  
  [Ludovic Brenta]
  * debian/patches/30-french-po-translation.diff: remove, merged upstream.



=== debian/control ===
Source: monotone
Section: vcs
Priority: optional
Maintainer: Debian Maintainers for Monotone <monotone-debian@nongnu.org>
Uploaders: Richard Levitte <richard@levitte.org>,
 Zack Weinberg <zackw@panix.com>, Ludovic Brenta <lbrenta@debian.org>,
 Francis Russell <francis@unchartedbackwaters.co.uk>,
 Markus Wanner <markus@bluegap.ch>
Homepage: http://monotone.ca/
Vcs-Browser: https://code.monotone.ca/p/debian-mtn/source/tree/h:org.debian.monotone/
Vcs-Mtn: mtn://monotone.ca/debian-mtn?org.debian.monotone
Build-Depends: debhelper (>= 9), autotools-dev, po-debconf, bind9-host,
 libboost-dev, libbotan1.10-dev, libidn11-dev, liblua5.1-0-dev,
 libpcre3-dev, libsqlite3-dev, libz-dev, texinfo, expect, bash-completion,
 bash (>= 4.0), source-highlight, mime-construct
Build-Depends-Indep: poppler-utils | xpdf-utils, ps2eps,
 texlive-generic-recommended, texlive-latex-base
Standards-Version: 3.9.4

Package: monotone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 4.0)
Suggests: monotone-doc, monotone-server
Recommends: monotone-extras
Description: Distributed version (revision) control system
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.

Package: monotone-extras
Architecture: all
Depends: ${misc:Depends}, monotone (>= ${source:Version})
Recommends: mime-construct, source-highlight, perl, python
Description: Distributed version (revision) control system - extras
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains scripts, monotone hooks and more:
 .
   * mtn-cleanup
     (please install perl to use this)
   * monotone-mail-notify.lua + monotone-mail-notify
     (please install mime-construct and source-highlight to use this)
   * get_passphrase_from_file.lua
   * authorize_remote_automate.lua

Package: monotone-server
Architecture: all
Depends: monotone (>= ${source:Version}), 
 monotone-extras (>= ${source:Version}), adduser, ucf (>= 0.28), 
 lsb-base (>= 3.0-6), ${misc:Depends}
Description: Distributed version (revision) control system - server scripts
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains scripts to facilitate running a monotone server.

Package: monotone-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: monotone
Description: Distributed version (revision) control system - documentation
 Monotone is a free, distributed version control system. It provides
 fully disconnected operation, manages complete tree versions, keeps
 its state in a local transactional database, supports overlapping
 branches and extensible metadata, uses an efficient peer-to-peer
 network protocol, performs history-sensitive merging, and delegates
 trust functions to client-side RSA certificates.
 .
 This package contains the documentation for monotone in Info, HTML, and PDF
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for monotone, by Richard Levitte
# based on the dh7 template provided by dh_make(1)

# put this up top so it's the default rule.
#
# Policy (version 3.9.1.0, 2010-07-26, section 4.9) says that when
# different binary packages are produced in different ways, it doesn't
# make sense to have a build target that builds it all.  Quoted:
#
#   or some packages, notably ones where the same source tree is
#   compiled in different ways to produce two binary packages, the
#   build target does not make much sense. For these packages it is
#   good enough to provide two (or more) targets (build-a and build-b
#   or whatever) for each of the ways of building the package, and a
#   build target that does nothing. The binary target will have to
#   build the package in each of the possible ways and make the binary
#   package out of each.
#
#   ...
#
#   When a package has a configuration and build routine which takes a
#   long time, or when the makefiles are poorly designed, or when
#   build needs to run clean first, it is a good idea to touch build
#   when the build process is complete. This will ensure that if
#   debian/rules build is run again it will not rebuild the whole
#   program.
#
# We definitely have this situation, as we have -indep packages and
# -arch packages, and we need to treat them separately, because the
# buildds will build with -B after having installed only the Build-
# Depends (for they are ignorant of B-D-I.  All die, O the
# embarrassment)
#
# However, it also means that we're having configuring, building and
# testing done via fakeroot, which isn't a good idea.  However, that's
# easy to deal with with a little hack (see the file 'nofakeroot' in
# this directory) and overrides for those cases.
#
# So, we disable the build target entirely and let the binary targets
# take care of building as well (which dh provides support for, so we
# really need nothing extra here).
build:
	@echo 'The build target is disabled, please use the appropriate binary target.'

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# It is desirable to be able to pass the "--parallel" option to dh.
# Unfortunately, parallel builds of monotone currently cause make to
# enter an infinite loop. When the cause has been determined and
# resolved, this option should be re-enabled.
%:
	dh $@ --with=bash_completion

override_dh_auto_configure:
	debian/nofakeroot dh_auto_configure
# To enable documentation to only be built for the monotone-doc
# package (really, any -indep target), we need to make sure all
# relevant dh_auto_* calls behave differently for arch and indep
# calls.
override_dh_auto_build:
	LANG=POSIX debian/nofakeroot \
	    dh_auto_build -pmonotone-doc -- info pdf html
	LANG=POSIX debian/nofakeroot \
	    dh_auto_build --remaining-packages -- INFO_DEPS=''

# Thanks to buildd configuration decisions that no one will explain to
# me in sufficient detail to detect reliably, we have to disable all
# netsync tests until upstream gets around to converting them to local
# network sockets.
export DISABLE_NETWORK_TESTS = 1

# This is a hack to get more detail out of the alpha and sparc testsuite
# crashes.
export MTN_STACKTRACE_ON_CRASH = 1

override_dh_auto_test:
	debian/nofakeroot dh_auto_test -pmonotone -- INFO_DEPS='' || \
	    sh extra/building/dump-test-logs.sh

override_dh_auto_install:
	dh_auto_install -Nmonotone-doc -- INFO_DEPS=''
	dh_auto_install -pmonotone-doc

	# monotone-server uses these
	mkdir -p debian/tmp/usr/share/monotone
	for x in read-permissions write-permissions server-setup/serverrc; do \
		cp -p examples/$$x debian/tmp/usr/share/monotone/$${x##*/}.base; \
	done

# Finally, there are a few overrides needed for the install phase.

# Targets where we rely entirely on the upstream installation
override_dh_install:
	dh_install --sourcedir=debian/tmp

# Upstream file "ChangeLog" is not actually a change log
override_dh_installchangelogs:
	dh_installchangelogs -X ChangeLog

# colorize seems to compress to something weird, Lintian keeps warning about it
# PDFs should generally not be compressed.
override_dh_compress:
	dh_compress -Xcolorize -X.pdf

# For now, we link /usr/share/doc/monotone-doc to /usr/share/doc/monotone
override_dh_installdocs:
	dh_installdocs --link-doc=monotone

# Install init for monotone-server, but with the name monotone
override_dh_installinit:
	dh_installinit --name=monotone
# we should have logrotate support for monotone-server, but currently we don't
#override_dh_installlogrotate:
#	dh_installlogrotate --name=monotone

## monotone 1.1

=== debian/changelog ===
monotone (1.1-9) unstable; urgency=medium

  * Disable test log_dirs which fails intermittently for unknown
    reasons.
  * Bump Standards-Version; no changes required.
  * Add patch 54-spelling-fixes.diff to get rid of most spelling
    errors that lintian reports.
  * Enable all hardening options.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 11 Jul 2016 13:02:50 +0200

monotone (1.1-8) unstable; urgency=medium

  * Add patch 52-negative_number_fix.diff fixing an issue uncovered
    with defaults of new sqlite versions. Closes: #826340.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 04 Jun 2016 21:07:19 +0200

monotone (1.1-7) unstable; urgency=medium

  * Modify patch 51-sigpipe-test.diff: increase bytes written to 1M to
    increase chances to overflow the pipe buffer even further.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Nov 2015 18:14:19 +0100

monotone (1.1-6) unstable; urgency=medium

  * Patch Makefile.am to not rebuild NLS (i.e. pot and po files) so as
    to generate more reproducible builds. Drop a patch that helped NLS
    rebuilds (11-no-gettext-on-lua.diff), which obviously isn't
    necessary if not rebuilding.
  * Run just the clean target, not distclean, as the latter removes the
    generated and distributed gmo files.
  * Add patch 14-correct-bashcomp-path.diff to correct the installation
    location of the bash completion data.
  * Add patch 51-sigpipe-test.diff attempting to fix an FTBFS (#797386)
  * Bump S-V: no changes needed.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 17 Sep 2015 23:15:52 +0200

monotone (1.1-5) unstable; urgency=medium

  * Patch build system to allow the build date to be set externally,
    and set it to the latest debian/changelog entry for reproducibility.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 15 Sep 2015 22:03:42 +0200

monotone (1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing #include <iostream>. Closes: #796734

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 26 Aug 2015 12:48:57 +0000

monotone (1.1-4) unstable; urgency=medium

  * Allow compilation against lua version 5.2, if available.
  * Add build dependency on cm-super-minimal to have the necessary fonts
    available to generate the documentation PDF.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 24 Jun 2014 22:36:03 +0200

monotone (1.1-3) unstable; urgency=medium

  * Reintroduce the overrid_dh_installdocs rule. Closes: #749348.
  * Add patch 00-copyright-clarification.diff, granting the right to
    distribute two files under GPL-2, which were marked GPL-3+, before.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Jun 2014 21:13:20 +0200

monotone (1.1-2) unstable; urgency=low

  * Disable network tests, again, as we still have issues with some of
    those tests on some of the buildd hosts.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 06 May 2014 11:28:15 +0200

monotone (1.1-1) unstable; urgency=low

  * New upstream release
  * Drop all patches from upstream commits now integrated: from patch
    numbered 00 through 10.
  * Give the documentation its own directory in /usr/share/doc, so
    monotone-doc doesn't need to depend on monotone, anymore.
  * Enable network tests, again, to see how well 1.1 behaves on buildd.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 05 May 2014 08:45:49 +0200

monotone (1.0-12) unstable; urgency=medium

  * Add texlive-fonts-recommended as a B-D-I. Closes: #735933.
  * Bump Standards-Version to 3.9.5; no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 27 Feb 2014 11:44:07 +0100

monotone (1.0-11) unstable; urgency=low

  * Really invoke autoreconf prior to configure, now.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 10 Aug 2013 08:24:53 +0200

monotone (1.0-10) unstable; urgency=low

  * Add patches/11-no-gettext-on-lua.diff, remove a lua file from gettext
    invocation.
  * Add a full description and 'status' capabilities to the monotone-server
    init script.
  * Honor nocheck in DEB_BUILD_OPTIONS.
  * Invoke autoreconf prior to configure. Allows us to patch Makefile.am
    directly and helps with the out-of-date config.guess file.
  * Add source/options extend-diff-ignore.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 08 Aug 2013 23:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,16 @@
 Homepage: http://monotone.ca/
 Vcs-Browser: https://code.monotone.ca/p/debian-mtn/source/tree/h:org.debian.monotone/
 Vcs-Mtn: mtn://monotone.ca/debian-mtn?org.debian.monotone
-Build-Depends: debhelper (>= 9), autotools-dev, po-debconf, bind9-host,
- libboost-dev, libbotan1.10-dev, libidn11-dev, liblua5.1-0-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
+ po-debconf, bind9-host,
+ libboost-dev, libbotan1.10-dev, libidn11-dev,
+ liblua5.2-dev | liblua5.1-0-dev,
  libpcre3-dev, libsqlite3-dev, libz-dev, texinfo, expect, bash-completion,
  bash (>= 4.0), source-highlight, mime-construct
 Build-Depends-Indep: poppler-utils | xpdf-utils, ps2eps,
- texlive-generic-recommended, texlive-latex-base
-Standards-Version: 3.9.4
+ texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended,
+ cm-super-minimal
+Standards-Version: 3.9.8
 
 Package: monotone
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -48,15 +48,28 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+# Enable all hardening features.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Use the date of the last changelog entry as the build date to
+# get reproducible builds.
+export BUILD_DATE = $(shell LC_ALL=C \
+	date -u --date="`dpkg-parsechangelog -SDate`" +'%Y-%m-%d')
+
 # It is desirable to be able to pass the "--parallel" option to dh.
 # Unfortunately, parallel builds of monotone currently cause make to
 # enter an infinite loop. When the cause has been determined and
 # resolved, this option should be re-enabled.
 %:
-	dh $@ --with=bash_completion
+	dh $@ --with=bash_completion,autoreconf
 
 override_dh_auto_configure:
 	debian/nofakeroot dh_auto_configure
+
+override_dh_auto_clean:
+	test ! -f Makefile || $(MAKE) -C $(CURDIR) clean
+	rm -rf config.h config.guess stamp-h1 config.status Makefile
+
 # To enable documentation to only be built for the monotone-doc
 # package (really, any -indep target), we need to make sure all
 # relevant dh_auto_* calls behave differently for arch and indep
@@ -78,14 +91,18 @@
 export MTN_STACKTRACE_ON_CRASH = 1
 
 override_dh_auto_test:
+#	While dh_auto_test checks for 'nocheck', running it through
+#	nofakeroot seems to confuse it. So we do the check, here.
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/nofakeroot dh_auto_test -pmonotone -- INFO_DEPS='' || \
 	    sh extra/building/dump-test-logs.sh
+endif
 
 override_dh_auto_install:
 	dh_auto_install -Nmonotone-doc -- INFO_DEPS=''
 	dh_auto_install -pmonotone-doc
 
-	# monotone-server uses these
+#	monotone-server uses these
 	mkdir -p debian/tmp/usr/share/monotone
 	for x in read-permissions write-permissions server-setup/serverrc; do \
 		cp -p examples/$$x debian/tmp/usr/share/monotone/$${x##*/}.base; \
@@ -101,12 +118,16 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -X ChangeLog
 
-# colorize seems to compress to something weird, Lintian keeps warning about it
-# PDFs should generally not be compressed.
+# colorize seems to compress to something weird, Lintian keeps warning
+# about it. PDFs should generally not be compressed.
 override_dh_compress:
 	dh_compress -Xcolorize -X.pdf
 
-# For now, we link /usr/share/doc/monotone-doc to /usr/share/doc/monotone
+# For now, we link /usr/share/doc/monotone-doc to /usr/share/doc/monotone.
+#
+# Note that the monotone-server postinst script relies on
+# /usr/share/doc/monotone-server being a symlink (or an empty
+# directory after removal).
 override_dh_installdocs:
 	dh_installdocs --link-doc=monotone
